Updating the Satellite server fails with `No such file or directory - /opt/puppetlabs/puppet/cache/foreman_cache_data/candlepin_db_password(Errno::ENOENT)` error.

Solution Unverified - Updated -

Issue

  • Updating the Satellite server to 6.3 version fails with the below error,

    /usr/share/ruby/vendor_ruby/puppet/vendor/safe_yaml/lib/safe_yaml.rb:188:in `initialize': No such file or directory - /opt/puppetlabs/puppet/cache/foreman_cache_data/candlepin_db_password (Errno::ENOENT)
        from /usr/share/ruby/vendor_ruby/puppet/vendor/safe_yaml/lib/safe_yaml.rb:188:in `open'
        from /usr/share/ruby/vendor_ruby/puppet/vendor/safe_yaml/lib/safe_yaml.rb:188:in `unsafe_load_file'
        from /usr/share/ruby/vendor_ruby/puppet/vendor/safe_yaml/lib/safe_yaml.rb:153:in `load_file_with_options'
        from /usr/share/katello-installer-base/hooks/boot/01-helpers.rb:30:in `read_cache_data'
        from /usr/share/katello-installer-base/hooks/pre/30-upgrade.rb:21:in `migrate_candlepin'
        from /usr/share/katello-installer-base/hooks/pre/30-upgrade.rb:157:in `upgrade_step'
        from /usr/share/katello-installer-base/hooks/pre/30-upgrade.rb:210:in `block (4 levels) in load'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/hooking.rb:34:in `instance_eval'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/hooking.rb:34:in `block (4 levels) in load'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/hook_context.rb:15:in `instance_exec'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/hook_context.rb:15:in `execute'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/hooking.rb:51:in `block in execute'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/hooking.rb:49:in `each'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/hooking.rb:49:in `execute'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/kafo_configure.rb:424:in `run_installation'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/kafo_configure.rb:156:in `execute'
        from /usr/share/gems/gems/clamp-1.0.0/lib/clamp/command.rb:68:in `run'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/kafo_configure.rb:119:in `run'
        from /usr/share/gems/gems/clamp-1.0.0/lib/clamp/command.rb:133:in `run'
        from /usr/share/gems/gems/kafo-2.0.2/lib/kafo/kafo_configure.rb:163:in `run'
        from /sbin/satellite-installer:8:in `<main>'
    

Environment

  • Red Hat Satellite 6.2
  • Red Hat Satellite 6.3

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In